# Update a booking Required scopes: incoming-invoice:write, chart-of-accounts:write Updates a single chart-of-account booking on the given incoming invoice. Endpoint: PATCH /incoming-invoices/{invoiceId}/bookings/{bookingId} Version: v1 Security: http, oauth2 ## Path parameters: - `invoiceId` (string, required) - `bookingId` (string, required) ## Request fields (application/json): - `value` (number) Booking amount - `title` (string,null) - `type` (string) account, reference, account_staff or account_other Enum: "account", "reference", "account_staff", "account_other" - `chart_of_account_id` (string,null) - `position_id` (string,null) - `project_id` (string,null) - `client_id` (string,null) ## Response 200 fields (application/json): - `id` (string, required) - `type` (string, required) - `title` (string,null, required) - `value` (number, required) - `chart_of_account_id` (string,null, required) - `position_id` (string,null, required) - `project_id` (string,null, required) - `client_id` (string,null, required) - `chart_of_account` (any, required) - `outgoing_invoice` (any, required) - `created_at` (string, required) - `updated_at` (string,null, required) ## Response 401 fields (application/json): - `message` (string, required) Error overview. ## Response 422 fields (application/json): - `message` (string, required) Errors overview. - `errors` (object, required) A detailed description of each field that failed validation.